[Gpg4win-commits] r472 - in trunk: . packages

scm-commit@wald.intevation.org scm-commit at wald.intevation.org
Tue Aug 14 12:12:44 CEST 2007


Author: werner
Date: 2007-08-14 12:12:44 +0200 (Tue, 14 Aug 2007)
New Revision: 472

Modified:
   trunk/ChangeLog
   trunk/packages/Makefile.am
   trunk/packages/download.sh
   trunk/packages/packages.current
Log:
Packages.current is not anymore stored online but part of teh package
proper.  In case that a packages needs to be updated we will either
provide a new installer or post an updated packages.current.


Modified: trunk/ChangeLog
===================================================================
--- trunk/ChangeLog	2007-08-14 08:02:01 UTC (rev 471)
+++ trunk/ChangeLog	2007-08-14 10:12:44 UTC (rev 472)
@@ -1,3 +1,12 @@
+2007-08-14  Werner Koch  <wk at g10code.com>
+
+	* packages/Makefile.am (packages.current.sig, upload): Remove.
+	(EXTRA_DIST): Remove packages.key.  Add packages.current.
+
+	* packages/download.sh: Remove online downloading of
+	packages.current.
+	* packages/packages.current: Fix comment.
+
 2007-08-13  Marcus Brinkmann  <marcus at g10code.de>
 
 	* patches/claws-mail-3.0.0-rc2/04-cvs116.patch: New file.

Modified: trunk/packages/Makefile.am
===================================================================
--- trunk/packages/Makefile.am	2007-08-14 08:02:01 UTC (rev 471)
+++ trunk/packages/Makefile.am	2007-08-14 10:12:44 UTC (rev 472)
@@ -17,19 +17,19 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 
-EXTRA_DIST = download.sh packages.keys
+EXTRA_DIST = download.sh packages.current
 
 
-upload: packages.current packages.current.sig
-	set -e; \
-	echo "Uploading package list to www.gpg4win.org ..."; \
-        user=`svn info | sed -n '/^URL:/ s,.*svn+ssh://\\([^@]*\\).*,\\1,p'`;\
-	rsync -v -W packages.current{,.sig} \
-	  $${user}@wald.intevation.org:/gpg4win/htdocs/
-
-
-packages.current.sig : packages.current
-	@echo "packages.current.sig is expected to be a detached signature of packages.current"
-	@echo "Use \"gpg -sbu YOUR_KEYID packages.current\" to create it"
-	@false
-
+#upload: packages.current packages.current.sig
+#	set -e; \
+#	echo "Uploading package list to www.gpg4win.org ..."; \
+#        user=`svn info | sed -n '/^URL:/ s,.*svn+ssh://\\([^@]*\\).*,\\1,p'`;\
+#	rsync -v -W packages.current{,.sig} \
+#	  $${user}@wald.intevation.org:/gpg4win/htdocs/
+#
+#
+#packages.current.sig : packages.current
+#	@echo "packages.current.sig is expected to be a detached signature of packages.current"
+#	@echo "Use \"gpg -sbu YOUR_KEYID packages.current\" to create it"
+#	@false
+#

Modified: trunk/packages/download.sh
===================================================================
--- trunk/packages/download.sh	2007-08-14 08:02:01 UTC (rev 471)
+++ trunk/packages/download.sh	2007-08-14 10:12:44 UTC (rev 472)
@@ -2,14 +2,14 @@
 # download.sh - Download source and binary packages for GPG4Win.
 # Copyright (C) 2005, 2007 g10 Code GmbH
 # 
-# This file is part of GPG4Win.
+# This file is part of Gpg4win.
 # 
-# GPG4Win is free software; you can redistribute it and/or modify
+# Gpg4win is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
 # the Free Software Foundation; either version 2 of the License, or
 # (at your option) any later version.
 # 
-# GPG4Win is distributed in the hope that it will be useful,
+# Gpg4win is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
@@ -41,16 +41,14 @@
 Usage: $0 [OPTIONS]
 Options:
 	[--force]
-	[--keep-list]
-	[--no-sig-check]
 EOF
     exit $1
 }
 
 
 force=no
-keep_list=no
-sig_check=yes
+#keep_list=no
+#sig_check=yes
 while [ $# -gt 0 ]; do
     case "$1" in
 	--*=*)
@@ -66,9 +64,11 @@
 	    force=yes
 	    ;;
         --keep-list)
-            keep_list=yes
+            # Now a dummy
+            # keep_list=yes
             ;;
         --no-sig-check)
+            # Now a dummy
             sig_check=no
             ;;
 	*)
@@ -81,23 +81,30 @@
 
 WGET=wget
 
-url="http://www.gpg4win.org"
-if [ "$keep_list" = "no" ]; then
-  echo "downloading packages list from \`$url'."
-  if ! ${WGET} -N -q $url/packages.current{,.sig} ; then
-      echo "download of packages list failed." >&2
-      exit 1
-  fi
-fi
+# We used to download the packages.current list but it turned out that
+# this is too problematic: As there is no history of these files it is
+# not possible to build and older version of gpg4win using the online
+# version of the list.  Thus we keep the list now with the installer
+# and in case a package update is required we will post an updated
+# list to the mailing list.
+#
+#url="http://www.gpg4win.org"
+#if [ "$keep_list" = "no" ]; then
+#  echo "downloading packages list from \`$url'."
+#  if ! ${WGET} -N -q $url/packages.current{,.sig} ; then
+#      echo "download of packages list failed." >&2
+#      exit 1
+#  fi
+#fi
+#
+#if [ "$sig_ckeck" = yes ]; then
+# if ! gpgv --keyring ./packages.keys packages.current.sig packages.current
+#   then
+#    echo "list of packages is not usable." >&2
+#    exit 1
+# fi
+#fi
 
-if [ "$sig_ckeck" = yes ]; then
- if ! gpgv --keyring ./packages.keys packages.current.sig packages.current
-   then
-    echo "list of packages is not usable." >&2
-    exit 1
- fi
-fi
-
 lnr=0
 name=
 [ -f '.#download.failed' ] && rm '.#download.failed'

Modified: trunk/packages/packages.current
===================================================================
--- trunk/packages/packages.current	2007-08-14 08:02:01 UTC (rev 471)
+++ trunk/packages/packages.current	2007-08-14 10:12:44 UTC (rev 472)
@@ -1,11 +1,6 @@
 # packages.current - list of current packages for use with gpg4win -*- sh -*-
 #
-#
-# This list as well as its corresponding signature file are intended
-# to be downloaded by the download.sh script of gpg4win.  The
-# canonical URL of this file is http://www.gpg4win.org/packages.org .
-#
-# The download script will then process the statements here to
+# The download script processes the statements here to
 # actually download the packages.  The syntax is trivial:
 #
 # If the first non whitespace character of a line is #, the line is
@@ -15,10 +10,8 @@
 # line will be appended to the current base URL (with a / as
 # delimiter).  The statement "chk" is followed by the SHA1 checksum of
 # the last file.
-#
-# Note: You may use "make upload" to copy this file to its canonical place.
-#
 
+
 #
 # GNU
 #
@@ -74,7 +67,7 @@
 #
 # Claws
 #
-# (Kept on our own mirror due to Soruceforge peculiarities.)
+# (Kept on our own mirror due to Sourceforge peculiarities.)
 server ftp://ftp.g10code.com/mirrors/claws
 
 #file  sylpheed-claws-2.4.0.tar.bz2



More information about the Gpg4win-commits mailing list